org.apache.ignite.internal.processors.platform.compute

## Class PlatformCompute

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.compute.PlatformCompute

All Implemented Interfaces:
  PlatformTarget

    public class PlatformCompute
    extends PlatformAbstractTarget

Interop compute.

### Nested Class Summary

Nested Classes
`protected class` `PlatformCompute.ComputeConvertingFuture` Wraps ComputeTaskFuture as IgniteInternalFuture.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`ERROR, FALSE, log, platformCtx, TRUE`

### Constructor Summary

Constructors
Constructor and Description
`PlatformCompute(PlatformContext platformCtx, ClusterGroup grp, String platformAttr)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IgniteCompute` `computeForTask(Collection<UUID> nodeIds)` Get compute object for the given node IDs.
`protected Object` `executeJavaTask(BinaryRawReaderEx reader, boolean async)` Execute task taking arguments from the given reader.
`long` `processInLongOutLong(int type, long val)` Process IN operation.
`PlatformTarget` `processInStreamOutObject(int type, BinaryRawReaderEx reader)` Process IN-OUT operation.
`void` `processInStreamOutStream(int type, BinaryRawReaderEx reader, BinaryRawWriterEx writer)` Process IN-OUT operation.
`protected Collection<UUID>` `readNodeIds(BinaryRawReaderEx reader)` Read node IDs.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, platformContext, processInObjectStreamOutObjectStream, processInStreamAsync, processInStreamOutLong, processInStreamOutLong, processOutObject, processOutStream, readAndListenFuture, readAndListenFuture, readAndListenFuture, throwUnsupported, wrapListenable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformCompute

    public PlatformCompute(PlatformContext platformCtx,
                           ClusterGroup grp,
                           String platformAttr)

Constructor.

Parameters:
  `platformCtx` - Context.
  `grp` - Cluster group.

### Method Detail

#### processInStreamOutObject

    public PlatformTarget processInStreamOutObject(int type,
                                                   BinaryRawReaderEx reader)
                                            throws IgniteCheckedException

Process IN-OUT operation.

Specified by:
  `processInStreamOutObject` in interface `PlatformTarget`
Overrides:
  `processInStreamOutObject` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInLongOutLong

    public long processInLongOutLong(int type,
                                     long val)
                              throws IgniteCheckedException

Process IN operation.

Specified by:
  `processInLongOutLong` in interface `PlatformTarget`
Overrides:
  `processInLongOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `val` - Value.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutStream

    public void processInStreamOutStream(int type,
                                         BinaryRawReaderEx reader,
                                         BinaryRawWriterEx writer)
                                  throws IgniteCheckedException

Process IN-OUT operation.

Specified by:
  `processInStreamOutStream` in interface `PlatformTarget`
Overrides:
  `processInStreamOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### executeJavaTask

    protected Object executeJavaTask(BinaryRawReaderEx reader,
                                     boolean async)
                              throws IgniteCheckedException

Execute task taking arguments from the given reader.

Parameters:
  `reader` - Reader.
  `async` - Execute asynchronously flag.
Returns:
  Task result.
Throws:
  `IgniteCheckedException` - On error.

#### readNodeIds

    protected Collection<UUID> readNodeIds(BinaryRawReaderEx reader)

Read node IDs.

Parameters:
  `reader` - Reader.
Returns:
  Node IDs.

#### computeForTask

    protected IgniteCompute computeForTask(Collection<UUID> nodeIds)

Get compute object for the given node IDs.

Parameters:
  `nodeIds` - Node IDs.
Returns:
  Compute object.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020